function form_post(path, params, method, target) {
    methods = method || 'post'; // Set method to post by default if not specified.
    targets = target || '_blank'; // Set target to blank by default if not specified.

    var form = document.createElement("form");
    form.setAttribute("method", methods);
    form.setAttribute("action", path);
    form.setAttribute("target", targets);

    for(var key in params) {
        if(params.hasOwnProperty(key)) {
            var hiddenField = document.createElement("input");
            hiddenField.setAttribute("type", "hidden");
            hiddenField.setAttribute("name", key);
            hiddenField.setAttribute("value", params[key]);

            form.appendChild(hiddenField);
         }
    }

    document.body.appendChild(form);
    form.submit();
    document.body.removeChild(form);
}